Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.context.externalize
Class ActivateUtils

    java.lang.Object
      org.apache.axis2.context.externalize.ActivateUtils

    public class ActivateUtils

extends java.lang.Object

Some Externalize objects must be "activated" after they are read. Activation normally involves associating the object with objects in the current runtime. ActivateUtils provides activation related utilities

Method Summary
`static java.lang.Object` | `findHandler(java.util.List<Handler> existingHandlers, MetaDataEntry metaDataEntry)` Find the Handler object that matches the criteria
`static AxisMessage` | `findMessage(AxisOperation op, java.lang.String msgName, java.lang.String msgElementName)` Find the AxisMessage object that matches the criteria
`static AxisOperation` | `findOperation(AxisConfiguration axisConfig, java.lang.String opClassName, javax.xml.namespace.QName opQName)` Find the AxisOperation object that matches the criteria
`static AxisOperation` | `findOperation(AxisService service, java.lang.String opClassName, javax.xml.namespace.QName opQName)` Find the AxisOperation object that matches the criteria
`static AxisService` | `findService(AxisConfiguration axisConfig, java.lang.String serviceClassName, java.lang.String serviceName)` Find the AxisService object that matches the criteria
`static AxisService` | `findService(AxisConfiguration axisConfig, java.lang.String serviceClassName, java.lang.String serviceName, java.lang.String extraName)`
`static AxisServiceGroup` | `findServiceGroup(AxisConfiguration axisConfig, java.lang.String serviceGrpClassName, java.lang.String serviceGrpName)` Find the AxisServiceGroup object that matches the criteria Note the saved service group meta information may not match up with any of the serviceGroups that are in the current AxisConfiguration object.
`static TransportListener` | `findTransportListener(AxisConfiguration axisConfig, java.lang.String listenerClassName)` Find the TransportListener object that matches the criteria Note the saved meta information may not match up with any of the objects that are in the current AxisConfiguration object.
`static java.lang.String` | `getAxisServiceExternalizeExtraName(AxisService axisService)` Return a Sring that contains the service QName and port local name of an AxisService seperated by a delimiter.
`static boolean` | `isEquivalent(java.util.ArrayList a1, java.util.ArrayList a2, boolean strict)` Compares the two collections to see if they are equivalent.
`static boolean` | `isEquivalent(java.util.LinkedList l1, java.util.LinkedList l2)` Compares the two collections to see if they are equivalent.
`static boolean` | `isEquivalent(java.util.Map m1, java.util.Map m2, boolean strict)` Compares the two collections to see if they are equivalent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findServiceGroup

    public static AxisServiceGroup findServiceGroup(AxisConfiguration axisConfig,
                                                    java.lang.String serviceGrpClassName,
                                                    java.lang.String serviceGrpName)

  Find the AxisServiceGroup object that matches the criteria

  Note the saved service group meta information may not match up with any of the serviceGroups that are in the current AxisConfiguration object.

  Parameters:
    `axisConfig` - The AxisConfiguration object
    `serviceGrpClassName` - the class name string for the target object (could be a derived class)
    `serviceGrpName` - the name associated with the service group
  Returns:
    the AxisServiceGroup object that matches the criteria

### findService

    public static AxisService findService(AxisConfiguration axisConfig,
                                          java.lang.String serviceClassName,
                                          java.lang.String serviceName)

  Find the AxisService object that matches the criteria

  Parameters:
    `axisConfig` - The AxisConfiguration object
    `serviceClassName` - the class name string for the target object (could be a derived class)
    `serviceName` - the name associated with the service
  Returns:
    the AxisService object that matches the criteria

### findService

    public static AxisService findService(AxisConfiguration axisConfig,
                                          java.lang.String serviceClassName,
                                          java.lang.String serviceName,
                                          java.lang.String extraName)

### getAxisServiceExternalizeExtraName

    public static java.lang.String getAxisServiceExternalizeExtraName(AxisService axisService)

  Return a Sring that contains the service QName and port local name of an AxisService seperated by a delimiter. This value can be used as part of externalizing an AxisService to provide additional information during deserialization in cases where the AxisService name is not unique or does not match for whatever reasons.

  Parameters:
    `axisService` - The AxisService to create the externalized name
  Returns:
    a String with the ServiceQName and port local name separated by DELIMITER_SERVICE_PORT if both values exist as parameters on the service; null otherwise.

### findOperation

    public static AxisOperation findOperation(AxisConfiguration axisConfig,
                                              java.lang.String opClassName,
                                              javax.xml.namespace.QName opQName)

  Find the AxisOperation object that matches the criteria

  Parameters:
    `axisConfig` - The AxisConfiguration object
    `opClassName` - the class name string for the target object (could be a derived class)
    `opQName` - the name associated with the operation
  Returns:
    the AxisOperation object that matches the given criteria

### findOperation

    public static AxisOperation findOperation(AxisService service,
                                              java.lang.String opClassName,
                                              javax.xml.namespace.QName opQName)

  Find the AxisOperation object that matches the criteria

  Parameters:
    `service` - The AxisService object
    `opClassName` - The class name string for the target object (could be a derived class)
    `opQName` - the name associated with the operation
  Returns:
    the AxisOperation object that matches the given criteria

### findMessage

    public static AxisMessage findMessage(AxisOperation op,
                                          java.lang.String msgName,
                                          java.lang.String msgElementName)

  Find the AxisMessage object that matches the criteria

  Parameters:
    `op` - The AxisOperation object
    `msgName` - The name associated with the message
    `msgElementName` - The name associated with the message element
  Returns:
    the AxisMessage object that matches the given criteria

### findHandler

    public static java.lang.Object findHandler(java.util.List<Handler> existingHandlers,
                                               MetaDataEntry metaDataEntry)

  Find the Handler object that matches the criteria

  Parameters:
    `existingHandlers` - The list of existing handlers and phases
    `handlerClassName` - the class name string for the target object (could be a derived class)
  Returns:
    the Handler object that matches the criteria

### findTransportListener

    public static TransportListener findTransportListener(AxisConfiguration axisConfig,
                                                          java.lang.String listenerClassName)

  Find the TransportListener object that matches the criteria

  Note the saved meta information may not match up with any of the objects that are in the current AxisConfiguration object.

  Parameters:
    `axisConfig` - The AxisConfiguration object
    `listenerClassName` - the class name string for the target object (could be a derived class)
  Returns:
    the TransportListener object that matches the criteria

### isEquivalent

    public static boolean isEquivalent(java.util.ArrayList a1,
                                       java.util.ArrayList a2,
                                       boolean strict)

  Compares the two collections to see if they are equivalent.

  Parameters:
    `a1` - The first collection
    `a2` - The second collection
    `strict` - Indicates whether strict checking is required. Strict checking means that the two collections must have the same elements in the same order. Non-strict checking means that the two collections must have the same elements, but the order is not significant.
  Returns:
    TRUE if the two collections are equivalent FALSE, otherwise

### isEquivalent

    public static boolean isEquivalent(java.util.Map m1,
                                       java.util.Map m2,
                                       boolean strict)

  Compares the two collections to see if they are equivalent.

  Parameters:
    `m1` - The first collection
    `m2` - The second collection
    `strict` - Indicates whether strict checking is required. Strict checking means that the two collections must have the same mappings. Non-strict checking means that the two collections must have the same keys. In both cases, the order is not significant.
  Returns:
    TRUE if the two collections are equivalent FALSE, otherwise

### isEquivalent

    public static boolean isEquivalent(java.util.LinkedList l1,
                                       java.util.LinkedList l2)

  Compares the two collections to see if they are equivalent.

  Parameters:
    `l1` - The first collection
    `l2` - The second collection
  Returns:
    TRUE if the two collections are equivalent FALSE, otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.